# pn_ospfarea – CLI command to add/remove ospf area to/from a vrouter

- DEPRECATED

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Doesn’t support latest Pluribus Networks netvisor

Alternative

  Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vrouter-ospf-add, vrouter-ospf-remove command.

- This command adds/removes Open Shortest Path First(OSPF) area to/from a virtual router(vRouter) service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - / required |  | Login password.
pn_cliswitch - |  | Target switch(es) to run the CLI on.
pn_cliusername - / required |  | Login username.
pn_ospf_area - / required |  | Specify the OSPF area number.
pn_prefix_listin - |  | OSPF prefix list for filtering incoming packets.
pn_prefix_listout - |  | OSPF prefix list for filtering outgoing packets.

pn_quiet
boolean

Choices:
- no
- yes ←

Enable/disable system information.

pn_stub_type
-

Choices:
- none
- stub
- stub-no-summary
- nssa
- nssa-no-summary

Specify the OSPF stub type.

pn_vrouter_name - / required |  | Specify the name of the vRouter.

state
- / required

Choices:
- present
- absent
- update

State the action to perform. Use 'present' to add ospf-area, 'absent' to remove ospf-area and 'update' to modify ospf-area.

## Examples

    - name: "Add OSPF area to vrouter"
      pn_ospfarea:
        state: present
        pn_cliusername: admin
        pn_clipassword: admin
        pn_ospf_area: 1.0.0.0
        pn_stub_type: stub

    - name: "Remove OSPF from vrouter"
      pn_ospf:
        state: absent
        pn_cliusername: admin
        pn_clipassword: admin
        pn_vrouter_name: name-string
        pn_ospf_area: 1.0.0.0

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the ospf command.
stdout list | always | The set of responses from the ospf command.

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.